Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1000960 - inconsistent format of date/time in event summary on Oracle vs. PostgreSQL variant
Summary: inconsistent format of date/time in event summary on Oracle vs. PostgreSQL va...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 560
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2013-08-26 08:26 UTC by Jan Hutař
Modified: 2017-07-19 11:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-19 11:27:06 UTC


Attachments (Terms of Use)

Description Jan Hutař 2013-08-26 08:26:57 UTC
Description of problem:
When I execute action (like adding or removing system entitlement) on some system and then investigate status of the action in Events -> History -> <that_action>, date on PostgreSQL and Oracle Satellite variant have different format.


Version-Release number of selected component (if applicable):
Compose 20130822


How reproducible:
always


Steps to Reproduce:
1. On PostgreSQL and Oracle Satellite variant add Monitoring entitlement
   to some system
2. Compare dates presented in:
   Systems -> <your_system> -> Events -> History -> <latest_action>


Actual results:
PostgreSQL satellite: Time:	2013-08-26 03:55:01.008541-04
Oracle satellite:     Time:	26-AUG-13 04.10.27.229125


Expected results:
I would expect consistent date-time format and no such high precision, information about timezone might be important as well.


Additional info:
I do not believe this is important for 5.6.0 GA.

Comment 1 Tomas Lestach 2013-08-27 12:36:46 UTC
I 'm not sure, this is a Oracle/PG issue.

Looking at my system I see different time format depending on the action type ...

* Package Removal scheduled by admin:
08/27/13 6:07:36 AM EDT

* added system entitlement:
2013-08-27 10:17:42.654321+02


As I agree we shall have a unified time format across the whole satellite, please note, this is a pxt page.

Comment 4 Tomas Lestach 2017-07-19 11:27:06 UTC
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.

We believe this bug has been fixed in the latest Satellite 5 version (5.8), so closing the bug as CURRENTRELEASE. Please feel free to re-open in case you discover any issues.

Tomas


Note You need to log in before you can comment on or make changes to this bug.